---
title: Get a Model Lab project
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Model Lab API
---

# Get a Model Lab project{% #get-a-model-lab-project %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                                 |
| ----------------- | ---------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/model-lab-api/projects/{project_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/model-lab-api/projects/{project_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/model-lab-api/projects/{project_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/model-lab-api/projects/{project_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/model-lab-api/projects/{project_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/model-lab-api/projects/{project_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/model-lab-api/projects/{project_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/model-lab-api/projects/{project_id} |

### Overview

Get a single Model Lab project by its ID.

### Arguments

#### Path Parameters

| Name                         | Type    | Description                      |
| ---------------------------- | ------- | -------------------------------- |
| project_id [*required*] | integer | The ID of the Model Lab project. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single Model Lab project.

| Parent field | Field                                       | Type      | Description                                                                         |
| ------------ | ------------------------------------------- | --------- | ----------------------------------------------------------------------------------- |
|              | data [*required*]                      | object    | A Model Lab project JSON:API resource object.                                       |
| data         | attributes [*required*]                | object    | Attributes of a Model Lab project.                                                  |
| attributes   | artifact_storage_location [*required*] | string    | The storage location for project artifacts.                                         |
| attributes   | created_at [*required*]                | date-time | The date and time the project was created.                                          |
| attributes   | deleted_at                                  | date-time | The date and time the project was soft-deleted.                                     |
| attributes   | description [*required*]               | string    | A description of the project.                                                       |
| attributes   | external_url                                | string    | An optional external URL associated with the project.                               |
| attributes   | is_starred [*required*]                | boolean   | Whether the project is starred by the current user.                                 |
| attributes   | name [*required*]                      | string    | The name of the project.                                                            |
| attributes   | owner_id                                    | string    | The UUID of the project owner.                                                      |
| attributes   | tags [*required*]                      | [object]  | The list of tags associated with the project.                                       |
| tags         | key [*required*]                       | string    | The tag key.                                                                        |
| tags         | value [*required*]                     | string    | The tag value.                                                                      |
| attributes   | updated_at [*required*]                | date-time | The date and time the project was last updated.                                     |
| data         | id [*required*]                        | string    | The unique identifier of the project.                                               |
| data         | type [*required*]                      | enum      | The JSON:API type for a Model Lab project resource. Allowed enum values: `projects` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "artifact_storage_location": "s3://bucket/active-project",
      "created_at": "2024-01-20T10:00:00Z",
      "deleted_at": "2019-09-19T10:00:00.000Z",
      "description": "A machine learning training project.",
      "external_url": "string",
      "is_starred": false,
      "name": "active-project",
      "owner_id": "string",
      "tags": [
        {
          "key": "model",
          "value": "opus"
        }
      ],
      "updated_at": "2024-01-20T11:00:00Z"
    },
    "id": "2",
    "type": "projects"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="500" %}
Internal Server Error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export project_id="1" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/model-lab-api/projects/${project_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
